 {поиск пар чисел-близнецов на интервале}
var
 a1,i,a2,ap : Longint;
begin
 WriteLn('Введите границы интервала(не от нуля!)');
 ReadLn(a1,a2);
{ if a1>a2 then begin ap:=a1; a1:=a2; a2:=ap; end; защита от дураков}
 ap:=2;
if (a1 mod 2)=0 then a1:=a1+1;
 for a1:=a1 to a2 do
  begin
   for i:=3 to trunc (sqrt(a1)) do
    begin
     if a1 mod i = 0  then
      begin
       i:=1;
       break;
      end;
    end;
   if i<>1 then
    begin
    if (a1-ap)=2 then WriteLn(ap,' и ',a1,'-пара близнецов');
    ap:=a1;
    end;
   a1:=a1+1;
  end;
WriteLn('Программа закончила работу!');
ReadLn;
end.